// Downloaded from https://repo.progsbase.com - Code Developed Using progsbase.

function AreaOfSquare(s){
  var area;
  area = Math.pow(s, 2);

  return area;
}
function AreaOfRectangle(b, h){
  var area;
  area = b*h;

  return area;
}
function AreaOfTriangle(b, h){
  var area;
  area = 1/2*b*h;

  return area;
}
function AreaOfTriangleSides(a, b, c){
  var area, s;
  s = 1/2*(a + b + c);
  area = Math.sqrt(s*(s - a)*(s - b)*(s - c));

  return area;
}
function AreaOfCircle(r){
  var area;
  area = Math.PI*Math.pow(r, 2);

  return area;
}
function AreaOfEllipse(x, y){
  var area;
  area = Math.PI*x*y;

  return area;
}
function SurfaceAreaOfSphere(r){
  var area;
  area = 4*Math.PI*Math.pow(r, 2);

  return area;
}
function SurfaceAreaOfCone(r, h){
  var area;
  area = Math.PI*r*(r + Math.sqrt(Math.pow(r, 2) + Math.pow(h, 2)));

  return area;
}
function SurfaceAreaOfCylinder(r, h){
  var area;
  area = 2*AreaOfCircle(r) + AreaOfRectangle(2*Math.PI*r, h);

  return area;
}
function test(){
  var failures, area;
  failures = 0;

  area = AreaOfSquare(3);
  area = AreaOfRectangle(4, 5);
  area = AreaOfTriangle(3, 5);
  area = AreaOfTriangleSides(3, 4, 5);
  area = AreaOfCircle(3);
  area = AreaOfEllipse(3, 4);
  area = SurfaceAreaOfSphere(3);
  area = SurfaceAreaOfCone(3, 4);
  area = SurfaceAreaOfCylinder(3, 8);

  return failures;
}


module.exports = {
	AreaOfSquare: AreaOfSquare,
	AreaOfRectangle: AreaOfRectangle,
	AreaOfTriangle: AreaOfTriangle,
	AreaOfTriangleSides: AreaOfTriangleSides,
	AreaOfCircle: AreaOfCircle,
	AreaOfEllipse: AreaOfEllipse,
	SurfaceAreaOfSphere: SurfaceAreaOfSphere,
	SurfaceAreaOfCone: SurfaceAreaOfCone,
	SurfaceAreaOfCylinder: SurfaceAreaOfCylinder,
	test: test
};